jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jukka Zitting (JIRA)" <j...@apache.org>
Subject [jira] Assigned: (JCR-352) Upgrade to Lucene 1.9.1
Date Tue, 14 Mar 2006 19:16:12 GMT
     [ http://issues.apache.org/jira/browse/JCR-352?page=all ]

Jukka Zitting reassigned JCR-352:
---------------------------------

    Assign To: Jukka Zitting

> It is backward compatible, but we're seeing some serialUID problems when jackrabbit
> tries to index using newer version.

Could you'r problem be caused by having an existing index generated with Lucene 1.4.3 being
accessed by Lucene 1.9.1? If this is the case, then you should be safe by manually removing
the index when you upgrade the Lucene jar. Jackrabbit will recreate the index when it is next
started.

> Would it be possible for someone to upgrade the trunk to 1.9.1 since it actually is backward
compatible?

I can do that unless anyone objects. (Assigned to me.) I'm a bit worried though about the
compatibility problem you are mentioning. Is it possible for you to isolate the problem a
bit more specifically?


> Upgrade to Lucene 1.9.1
> -----------------------
>
>          Key: JCR-352
>          URL: http://issues.apache.org/jira/browse/JCR-352
>      Project: Jackrabbit
>         Type: Improvement
>     Versions: 1.1, 1.0.1, 1.0
>  Environment: All
>     Reporter: Michael Young
>     Assignee: Jukka Zitting

>
> We would like to upgrade to Lucene 1.9.1. There are jar conflicts when integrating with
other projects such as Liferay Portal --  which uses v 1.9.1.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


Mime
View raw message